com.informix.jdbc

## Class IfxLocales

- java.lang.Object
- - com.informix.jdbc.IfxLocales

    public class IfxLocales
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IfxLocales()`

### Method Summary

Methods
`static java.lang.String` `FromIfxNameToJdkName(java.lang.String ifxEncName)` Class method to convert IFX Code Set Name to JDK Encoding name
`static java.lang.String` `FromIfxNoToJdkName(java.lang.String ifxEncNumber)` Class method to convert IFX Code Set Number to JDK Encoding name
`static java.lang.String` `FromIfxToJdkLocale(java.lang.String ifxLocName)` Class method to convert Informix Locale to JDK Locale

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxLocales

    public IfxLocales()

### Method Detail

#### FromIfxNameToJdkName

    public static java.lang.String FromIfxNameToJdkName(java.lang.String ifxEncName)

Class method to convert IFX Code Set Name to JDK Encoding name

#### FromIfxNoToJdkName

    public static java.lang.String FromIfxNoToJdkName(java.lang.String ifxEncNumber)

Class method to convert IFX Code Set Number to JDK Encoding name

#### FromIfxToJdkLocale

    public static java.lang.String FromIfxToJdkLocale(java.lang.String ifxLocName)

Class method to convert Informix Locale to JDK Locale